## bglibs 2.04+dfsg

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

adt/adt_sp.lo adt/adt_sp.o: ltcompile adt/adt_sp.c include/bglibs/adt_common.h
	./ltcompile adt/adt_sp.c

adt/ghash_add.lo adt/ghash_add.o: ltcompile adt/ghash_add.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_add.c

adt/ghash_foreach.lo adt/ghash_foreach.o: ltcompile adt/ghash_foreach.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_foreach.c

adt/ghash_free.lo adt/ghash_free.o: ltcompile adt/ghash_free.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_free.c

adt/ghash_get.lo adt/ghash_get.o: ltcompile adt/ghash_get.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_get.c

adt/ghash_init.lo adt/ghash_init.o: ltcompile adt/ghash_init.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_init.c

adt/ghash_insert.lo adt/ghash_insert.o: ltcompile adt/ghash_insert.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_insert.c

adt/ghash_iter.lo adt/ghash_iter.o: ltcompile adt/ghash_iter.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_iter.c

adt/ghash_rebuild.lo adt/ghash_rebuild.o: ltcompile adt/ghash_rebuild.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_rebuild.c

adt/ghash_rehash.lo adt/ghash_rehash.o: ltcompile adt/ghash_rehash.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_rehash.c

adt/ghash_remove.lo adt/ghash_remove.o: ltcompile adt/ghash_remove.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_remove.c

adt/ghash_search.lo adt/ghash_search.o: ltcompile adt/ghash_search.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_search.c

adt/ghash_set.lo adt/ghash_set.o: ltcompile adt/ghash_set.c include/bglibs/ghash.h include/bglibs/adt_common.h
	./ltcompile adt/ghash_set.c

adt/gqueue_pop.lo adt/gqueue_pop.o: ltcompile adt/gqueue_pop.c include/bglibs/gqueue.h include/bglibs/adt_common.h
	./ltcompile adt/gqueue_pop.c

adt/gqueue_push.lo adt/gqueue_push.o: ltcompile adt/gqueue_push.c include/bglibs/gqueue.h include/bglibs/adt_common.h
	./ltcompile adt/gqueue_push.c

adt/gqueue_top.lo adt/gqueue_top.o: ltcompile adt/gqueue_top.c include/bglibs/gqueue.h include/bglibs/adt_common.h
	./ltcompile adt/gqueue_top.c

adt/gstack_pop.lo adt/gstack_pop.o: ltcompile adt/gstack_pop.c include/bglibs/gstack.h include/bglibs/adt_common.h
	./ltcompile adt/gstack_pop.c

adt/gstack_push.lo adt/gstack_push.o: ltcompile adt/gstack_push.c include/bglibs/gstack.h include/bglibs/adt_common.h
	./ltcompile adt/gstack_push.c

adt/gstack_top.lo adt/gstack_top.o: ltcompile adt/gstack_top.c include/bglibs/gstack.h include/bglibs/adt_common.h
	./ltcompile adt/gstack_top.c

adt/hashb.lo adt/hashb.o: ltcompile adt/hashb.c include/bglibs/adt_common.h
	./ltcompile adt/hashb.c

adt/hashs.lo adt/hashs.o: ltcompile adt/hashs.c include/bglibs/adt_common.h
	./ltcompile adt/hashs.c

all: sysdeps.h libraries programs man selftests

base64/asc2bin.lo base64/asc2bin.o: ltcompile base64/asc2bin.c include/bglibs/base64.h include/bglibs/str.h sysdeps.h
	./ltcompile base64/asc2bin.c

base64/bin2asc.lo base64/bin2asc.o: ltcompile base64/bin2asc.c include/bglibs/base64.h include/bglibs/str.h sysdeps.h
	./ltcompile base64/bin2asc.c

base64/decode_line.lo base64/decode_line.o: ltcompile base64/decode_line.c include/bglibs/base64.h include/bglibs/str.h sysdeps.h
	./ltcompile base64/decode_line.c

base64/decode_part.lo base64/decode_part.o: ltcompile base64/decode_part.c include/bglibs/base64.h include/bglibs/str.h sysdeps.h
	./ltcompile base64/decode_part.c

base64/encode_line.lo base64/encode_line.o: ltcompile base64/encode_line.c include/bglibs/base64.h include/bglibs/str.h sysdeps.h
	./ltcompile base64/encode_line.c

base64/encode_part.lo base64/encode_part.o: ltcompile base64/encode_part.c include/bglibs/base64.h include/bglibs/str.h sysdeps.h
	./ltcompile base64/encode_part.c

bg-installer: bg-installer.o ltload libbg-cli.la libbg.la bg-installer-cli.o
	./ltload bg-installer libbg-cli.la libbg.la bg-installer-cli.o -lbg-cli -static 

bg-installer-cli.c: bg-installer.cli cli-generate sysdeps.h
	./cli-generate -c $< >$@

bg-installer-cli.h: bg-installer.cli cli-generate
	./cli-generate -h $< >$@

bg-installer-cli.o: compile bg-installer-cli.c
	./compile bg-installer-cli.c

bg-installer.1: bg-installer.cli cli-generate
	./cli-generate -m $< >$@

bg-installer.o: compile bg-installer.c sysdeps.h include/bglibs/cli.h include/bglibs/fmt.h include/bglibs/ibuf.h include/bglibs/iobuf_common.h include/bglibs/obuf.h sysdeps.h include/iobuf_common.h include/bglibs/iobuf.h include/ibuf.h include/obuf.h sysdeps.h include/bglibs/msg.h sysdeps.h include/bglibs/debug.h include/bglibs/wrap.h include/bglibs/path.h include/bglibs/str.h sysdeps.h include/str.h sysdeps.h include/bglibs/striter.h bg-installer-cli.h
	./compile bg-installer.c

cdb/cdb.lo cdb/cdb.o: ltcompile cdb/cdb.c include/bglibs/cdb.h include/bglibs/iobuf.h include/bglibs/iobuf_common.h include/bglibs/ibuf.h include/iobuf_common.h include/bglibs/obuf.h sysdeps.h sysdeps.h
	./ltcompile cdb/cdb.c

cdb/cdbhash.lo cdb/cdbhash.o: ltcompile cdb/cdbhash.c include/bglibs/cdb.h include/bglibs/iobuf.h include/bglibs/iobuf_common.h include/bglibs/ibuf.h include/iobuf_common.h include/bglibs/obuf.h sysdeps.h sysdeps.h
	./ltcompile cdb/cdbhash.c

cdb/find.lo cdb/find.o: ltcompile cdb/find.c include/bglibs/cdb.h include/bglibs/iobuf.h include/bglibs/iobuf_common.h include/bglibs/ibuf.h include/iobuf_common.h include/bglibs/obuf.h sysdeps.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./ltcompile cdb/find.c

cdb/get.lo cdb/get.o: ltcompile cdb/get.c include/bglibs/cdb.h include/bglibs/iobuf.h include/bglibs/iobuf_common.h include/bglibs/ibuf.h include/iobuf_common.h include/bglibs/obuf.h sysdeps.h sysdeps.h include/bglibs/str.h sysdeps.h
	./ltcompile cdb/get.c

cdb/getnext.lo cdb/getnext.o: ltcompile cdb/getnext.c include/bglibs/cdb.h include/bglibs/iobuf.h include/bglibs/iobuf_common.h include/bglibs/ibuf.h include/iobuf_common.h include/bglibs/obuf.h sysdeps.h sysdeps.h include/bglibs/str.h sysdeps.h
	./ltcompile cdb/getnext.c

cdb/make.lo cdb/make.o: ltcompile cdb/make.c include/bglibs/cdb.h include/bglibs/iobuf.h include/bglibs/iobuf_common.h include/bglibs/ibuf.h include/iobuf_common.h include/bglibs/obuf.h sysdeps.h sysdeps.h cdb/make.h include/iobuf.h include/ibuf.h include/obuf.h sysdeps.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./ltcompile cdb/make.c

cdb/read.lo cdb/read.o: ltcompile cdb/read.c include/bglibs/cdb.h include/bglibs/iobuf.h include/bglibs/iobuf_common.h include/bglibs/ibuf.h include/iobuf_common.h include/bglibs/obuf.h sysdeps.h sysdeps.h
	./ltcompile cdb/read.c

choose: warn-auto.sh choose.sh
	cat warn-auto.sh choose.sh >choose
	chmod 755 choose

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

cli-generate: perl-head.pl cli-generate.pl
	cat perl-head.pl cli-generate.pl >cli-generate
	chmod 755 cli-generate

cli/help.lo cli/help.o: ltcompile cli/help.c include/bglibs/iobuf.h include/bglibs/iobuf_common.h include/bglibs/ibuf.h include/iobuf_common.h include/bglibs/obuf.h sysdeps.h include/bglibs/msg.h sysdeps.h include/bglibs/debug.h systime.h include/bglibs/cli.h cli/internal.h
	./ltcompile cli/help.c

cli/main.lo cli/main.o: ltcompile cli/main.c include/bglibs/iobuf.h include/bglibs/iobuf_common.h include/bglibs/ibuf.h include/iobuf_common.h include/bglibs/obuf.h sysdeps.h include/bglibs/msg.h sysdeps.h include/bglibs/debug.h systime.h include/bglibs/cli.h cli/internal.h
	./ltcompile cli/main.c

compile: conf-cc
	( echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I.  "-I'include/bglibs'" "-I'include'" '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

crc-gentab: crc-gentab.o load fmt/lcase.o fmt/ucase.o fmt/unum.o iobuf/iobuf_timeout.o iobuf/obuf_flush.o iobuf/obuf_pad.o iobuf/obuf_put3s.o iobuf/obuf_put5s.o iobuf/obuf_putc.o iobuf/obuf_putunumw.o iobuf/obuf_stderr.o iobuf/obuf_stdout.o iobuf/obuf_write.o msg/common.o msg/die.o sys/iopoll.o
	./load crc-gentab fmt/lcase.o fmt/ucase.o fmt/unum.o iobuf/iobuf_timeout.o iobuf/obuf_flush.o iobuf/obuf_pad.o iobuf/obuf_put3s.o iobuf/obuf_put5s.o iobuf/obuf_putc.o iobuf/obuf_putunumw.o iobuf/obuf_stderr.o iobuf/obuf_stdout.o iobuf/obuf_write.o msg/common.o msg/die.o sys/iopoll.o -static 

crc-gentab.o: compile crc-gentab.c sysdeps.h include/bglibs/iobuf.h include/bglibs/iobuf_common.h include/bglibs/ibuf.h include/iobuf_common.h include/bglibs/obuf.h sysdeps.h include/bglibs/msg.h sysdeps.h include/bglibs/debug.h
	./compile crc-gentab.c

crc/crc16_arc_table.c: crc-gentab
	./crc-gentab crc16_arc 16 0x8005 reflected >$@

crc/crc16_arc_table.lo crc/crc16_arc_table.o: ltcompile crc/crc16_arc_table.c
	./ltcompile crc/crc16_arc_table.c

crc/crc16_ccitt_table.c: crc-gentab
	./crc-gentab crc16_ccitt 16 0x1021 normal >$@

crc/crc16_ccitt_table.lo crc/crc16_ccitt_table.o: ltcompile crc/crc16_ccitt_table.c
	./ltcompile crc/crc16_ccitt_table.c

crc/crc16_xmodem_table.c: crc-gentab
	./crc-gentab crc16_xmodem 16 0x8408 reflected >$@

crc/crc16_xmodem_table.lo crc/crc16_xmodem_table.o: ltcompile crc/crc16_xmodem_table.c
	./ltcompile crc/crc16_xmodem_table.c

crc/crc32_table.c: crc-gentab
	./crc-gentab crc32 32 0x04C11DB7 reflected >$@

crc/crc32_table.lo crc/crc32_table.o: ltcompile crc/crc32_table.c
	./ltcompile crc/crc32_table.c

crc/crc32c_table.c: crc-gentab
	./crc-gentab crc32c 32 0x1EDC6F41 reflected >$@

crc/crc32c_table.lo crc/crc32c_table.o: ltcompile crc/crc32c_table.c
	./ltcompile crc/crc32c_table.c

crc/crc64_table.c: crc-gentab
	./crc-gentab crc64 64 0x42F0E1EBA9EA3693 normal >$@

crc/crc64_table.lo crc/crc64_table.o: ltcompile crc/crc64_table.c
	./ltcompile crc/crc64_table.c

crc/gcrc16fwd.lo crc/gcrc16fwd.o: ltcompile crc/gcrc16fwd.c include/bglibs/gcrc.h sysdeps.h include/bglibs/crc16_ccitt.h include/gcrc.h sysdeps.h
	./ltcompile crc/gcrc16fwd.c

crc/gcrc16rfl.lo crc/gcrc16rfl.o: ltcompile crc/gcrc16rfl.c include/bglibs/gcrc.h sysdeps.h include/bglibs/crc16_arc.h include/gcrc.h sysdeps.h include/bglibs/crc16_xmodem.h uint16.h sysdeps.h uintnn.h
	./ltcompile crc/gcrc16rfl.c

crc/gcrc32fwd.lo crc/gcrc32fwd.o: ltcompile crc/gcrc32fwd.c include/bglibs/gcrc.h sysdeps.h
	./ltcompile crc/gcrc32fwd.c

crc/gcrc32rfl.lo crc/gcrc32rfl.o: ltcompile crc/gcrc32rfl.c include/bglibs/gcrc.h sysdeps.h include/bglibs/crc32.h include/gcrc.h sysdeps.h uint32.h sysdeps.h uintnn.h include/bglibs/crc32c.h
	./ltcompile crc/gcrc32rfl.c

crc/gcrc64fwd.lo crc/gcrc64fwd.o: ltcompile crc/gcrc64fwd.c include/bglibs/gcrc.h sysdeps.h include/bglibs/crc64.h include/gcrc.h sysdeps.h
	./ltcompile crc/gcrc64fwd.c

crc/gcrc64rfl.lo crc/gcrc64rfl.o: ltcompile crc/gcrc64rfl.c include/bglibs/gcrc.h sysdeps.h
	./ltcompile crc/gcrc64rfl.c

crypto/hmac-md5.lo crypto/hmac-md5.o: ltcompile crypto/hmac-md5.c sysdeps.h include/bglibs/hmac.h include/bglibs/md5.h include/bglibs/str.h sysdeps.h
	./ltcompile crypto/hmac-md5.c

crypto/hmac-sha1.lo crypto/hmac-sha1.o: ltcompile crypto/hmac-sha1.c sysdeps.h include/bglibs/hmac.h include/bglibs/sha1.h sysdeps.h include/bglibs/str.h sysdeps.h
	./ltcompile crypto/hmac-sha1.c

crypto/hmac-sha256.lo crypto/hmac-sha256.o: ltcompile crypto/hmac-sha256.c include/bglibs/hmac.h include/bglibs/sha256.h sysdeps.h include/bglibs/obuf.h sysdeps.h include/bglibs/iobuf_common.h include/bglibs/str.h sysdeps.h
	./ltcompile crypto/hmac-sha256.c
