=== debian/changelog ===
bglibs (2.04+dfsg-6build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:40:01 +0200

bglibs (2.04+dfsg-6) unstable; urgency=medium

  * Replace 'd/symbols' with regenerated 'd/libbg2.symbols'.
  * Remove 'd/patches/002_debian_changes.patch'.
  * Add 'typo-in-manual-page' rule to 'libbg-dev.lintian-overrides'.
    - This has been sent upstream as a Pull Request (PR).

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 13 Dec 2023 23:42:35 +0000

bglibs (2.04+dfsg-5) unstable; urgency=medium

  * Add lintian override files.
    - libbg2.lintian-overrides.
    - libbg-dev.lintian-overrides.
  * Rename and organise patches.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 12 Dec 2023 13:54:43 +0000

bglibs (2.04+dfsg-4) unstable; urgency=medium

  * New maintainer (Closes: #991029).
  * d/control: Use debhelper-compat 13.
    - Update paths for manpages/binaries and add missing binary 'crc-gentab'.
  * d/control: libbg-dev - Add '${perl:Depends}'.
  * d/control: Replace 'Short-Desc' and 'Long-Desc' with 'Description.
  * d/control: Update 'Standards-Version' to 4.6.2.0 - No Changes required.
  * d/control: Add 'Rules-Requires-Root: no'.
  * d/control: Use HTTPS homepage URL.
  * d/control: Reorganise 'Description' sections.
  * d/copyright: Add Phil Wyett for 'debian/*'.
  * d/patches/debian-changes: Add temporary description.
    - Patch and its changes marked for review.
  * d/rules: Override and skip dwz compression of binaries.
  * d/rules: Remove unneeded 'include /usr/share/dpkg/default.mk'.
  * Add 'd/source/lintian-overrides'.
    - Add 'bglibs source: public-upstream-key-not-minimal'.
    - Add 'bglibs source: very-long-line-length-in-source-file'.
  * Add 'd/upstream/metadata'.
  * Remove generated files in clean target (Closes: #1043910)

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 10 Dec 2023 11:15:47 +0000

bglibs (2.04+dfsg-3) unstable; urgency=medium

  * QA Upload.
  * Orphan package - see bug 991029.
  * Ensure perl path is set to '/usr/bin/perl' (Closes: #1037276).

  [ Debian Janitor ]
  * Apply multi-arch hints. + libbg2-doc: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster (oldstable).

 -- Bastian Germann <bage@debian.org>  Sat, 17 Jun 2023 19:23:27 +0200

bglibs (2.04+dfsg-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 13:18:07 +0100

bglibs (2.04+dfsg-2) unstable; urgency=medium

  * New maintainer (Closes: #544056)
  * Update Vcs-* fields in debian/control.
  * Update standards version to 4.2.1 (no changes needed)
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update symbols file

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 28 Nov 2018 22:36:45 +0000

bglibs (2.04+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * Fix watch file
  * Bump std-version to 4.1.4, no changes required.
  * Move the library to libs
  * Drop unused jquery override
  * Use DEB_BUILD_MAINT_OPTIONS to enable hardening

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Apr 2018 11:32:16 +0200

bglibs (2.03+dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * This one is for you Dmitry, thanks for your hard work,
    sorry for "stealing your transition!"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 17:20:39 +0100

bglibs (2.03+dfsg-3) experimental; urgency=medium

  * QA upload
  [ Adam Conrad ]
  * Put in section devel, to match the archive

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.1.2, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 15:10:58 +0100

bglibs (2.03+dfsg-2) experimental; urgency=medium

  * QA upload
  * Remove Conflict field from libbg-dev.
  * Install build tools into libbg-dev package, since they are required
    for building other packages of same upstream.
  * Fix spelling error in cli-generate.1

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 05 Feb 2017 08:32:31 +0300

bglibs (2.03+dfsg-1) experimental; urgency=medium

  * QA upload
  * New upstream release
  * Add debian/watch file and associated upstream GPG key
  * Replace manual invocation of dpkg-buildflags in debian/rules
    with inclusion of /usr/share/dpkg/default.mk
  * Disable network-accessing tests
  * Change binary package names, since this version of library
    is both source-incompatible (headers are restructured) and
    binary-incompatible (soname is chaged)
  * Convert debian/rules to debhelper
  * Rebuild doxygen documentation during build process
  * Re-enable hardening
  * Generate symbols file
  * Register documentation with doc-base
  * Drop soname from development binary package name

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 22 Jan 2017 09:01:58 +0300
