=== debian/control ===
Source: bglibs
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
Build-Depends: debhelper-compat (= 13),
               doxygen,
               libtool,
               libtool-bin,
Homepage: https://untroubled.org/bglibs/
Vcs-Git: https://salsa.debian.org/debian/bglibs.git
Vcs-Browser: https://salsa.debian.org/debian/bglibs
Standards-Version: 4.6.2.0
Rules-Requires-Root: no

Package: libbg2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libbg2-dev
Description: This package contains a collection of libraries (libraries)
 written by Bruce Guenter and put in use in various packages.
 .
 The library collection is mandatory to build most of software packages
 available at http://untroubled.org.
 .
 This package contains the shared libraries of bglibs.

Package: libbg-dev
Section: libdevel
Architecture: any
Depends: libbg2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Recommends: bglibs-doc
Description: This package contains a collection of libraries (development)
 written by Bruce Guenter and put in use in various packages.
 .
 The library collection is mandatory to build most of software packages
 available at http://untroubled.org.
 .
 This package contains the development files for bglibs.

Package: libbg2-doc
Section: doc
Architecture: all
Suggests: libbg2-dev
Depends: ${misc:Depends}
Conflicts: bglibs-doc
Multi-Arch: foreign
Description: This package contains a collection of libraries (documentation)
 written by Bruce Guenter and put in use in various packages.
 .
 The library collection is mandatory to build most of software packages
 available at http://untroubled.org.
 .
 This package contains the documentation for bglibs.
